%define anolis_release 1
Name:           m17n-lib
Version:        1.8.3
Release:        %{anolis_release}%{?dist}
Summary:        Multilingual text library

License:        LGPLv2+
URL:            http://www.nongnu.org/m17n/
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz

BuildRequires:  m17n-db-devel libthai-devel
BuildRequires:  libxml2-devel libXft-devel
BuildRequires:  fontconfig-devel freetype-devel
BuildRequires:  fribidi-devel gd-devel
BuildRequires:  libXaw-devel libotf-devel
BuildRequires:  gettext

Requires:       m17n-db
Provides:       /usr/bin/m17n-conv

%description
m17n-lib is a multilingual text library used primarily to allow
the input of many languages with the input table maps from m17n-db.

The package provides the core and input method backend libraries.

%package  devel
Summary:  Development files for %{name}
Requires: %{name}-tools = %{version}-%{release}

%description devel
Development files for %{name}.


%package  tools
Summary:  The m17n GUI Library tools
Requires: m17n-db-extras
Requires: %{name} = %{version}-%{release}

%description tools
Tools to test M17n GUI widget library.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-rpath --disable-static
%make_build

%install
%make_install

# fix bug rh#680363
rm %{buildroot}%{_libdir}/m17n/1.0/libmimx-ispell.so

# fix for bug rh#1587975
rm %{buildroot}%{_libdir}/m17n/1.0/libmimx-anthy.so

%generate_compatibility_deps

%files
%license COPYING
#Own module directory path
%dir %{_libdir}/m17n
%dir %{_libdir}/m17n/1.0
%dir %{abidir}
%{_bindir}/m17n-conv
%{abidir}/m17n-conv-option.list
%{_libdir}/libm17n.so.*
%{abidir}/libm17n.dump
%{_libdir}/libm17n-core.so.*
%{abidir}/libm17n-core.dump
%{_libdir}/libm17n-flt.so.*
%{abidir}/libm17n-flt.dump

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files tools
%{_bindir}/m17n-date
%{abidir}/m17n-date-option.list
%{_bindir}/m17n-dump
%{abidir}/m17n-dump-option.list
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/1.0/libm17n-X.so
%{abidir}/libm17n-X.dump
%{_libdir}/m17n/1.0/libm17n-gd.so
%{abidir}/libm17n-gd.dump
%{_libdir}/libm17n-gui.so.*
%{abidir}/libm17n-gui.dump

%files doc
%doc AUTHORS NEWS ChangeLog README

%changelog
* Sun Jul 30 2023 Funda Wang <fundawang@yeah.net> - 1.8.3-1
- New version 1.8.3

* Sun May 14 2023 Funda Wang <fundawang@yeah.net> - 1.8.2-1
- New version 1.8.2

* Tue Jan 10 2023 Funda Wang <fundawang@yeah.net> - 1.8.0-4
- Rebuild for new libotf

* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 1.8.0-3
- Import package into anolis 23
